BuilderASTTransformation.AbstractBuilderStrategy (Groovy 5.0.0)

Package: org.codehaus.groovy.transform

## [Java] Class BuilderASTTransformation.AbstractBuilderStrategy

- org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy

- All Implemented Interfaces and Traits:
    BuilderASTTransformation.BuilderStrategy

      public static abstract class BuilderASTTransformation.AbstractBuilderStrategy
      extends Object
      implements BuilderASTTransformation.BuilderStrategy

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)`
    `` | `protected void` | `checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<PropertyInfo> properties)`
    `` | `protected List<FieldNode>` | `getFields(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee)`
    `` | `protected boolean` | `getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)`
    `` | `protected static List<PropertyInfo>` | `getPropertyInfoFromBeanInfo(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)`
    `` | `protected static List<PropertyInfo>` | `getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)`
    `` | `protected static List<PropertyInfo>` | `getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)`
    `` | `protected List<PropertyInfo>` | `getPropertyInfoFromClassNode(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames, boolean allProperties)`
    `` | `protected List<PropertyInfo>` | `getPropertyInfos(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee, List<String> excludes, List<String> includes, boolean allNames, boolean allProperties)`
    `` | `protected String` | `getSetterName(String prefix, String fieldName)`
    `` | `protected boolean` | `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)`
    `` | `protected boolean` | `unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### protected void checkKnownField(BuilderASTTransformation transform, AnnotationNode anno, String name, List<FieldNode> fields)

    - #### protected void checkKnownProperty(BuilderASTTransformation transform, AnnotationNode anno, String name, List<PropertyInfo> properties)

    - #### protected List<FieldNode> getFields(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee)

    - #### protected boolean getIncludeExclude(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> excludes, List<String> includes)

    - #### protected static List<PropertyInfo> getPropertyInfoFromBeanInfo(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)

    - #### protected static List<PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes)

    - #### protected static List<PropertyInfo> getPropertyInfoFromClassNode(ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames)

    - #### protected List<PropertyInfo> getPropertyInfoFromClassNode(BuilderASTTransformation transform, AnnotationNode anno, ClassNode cNode, List<String> includes, List<String> excludes, boolean allNames, boolean allProperties)

    - #### protected List<PropertyInfo> getPropertyInfos(BuilderASTTransformation transform, AnnotationNode anno, ClassNode buildee, List<String> excludes, List<String> includes, boolean allNames, boolean allProperties)

    - #### protected String getSetterName(String prefix, String fieldName)

    - #### protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName)

    - #### protected boolean unsupportedAttribute(BuilderASTTransformation transform, AnnotationNode anno, String memberName, String extraMessage)